@import url('https://fonts.googleapis.com/css2?family=Poppins:300;400;500;600;700;800;900&display=swap');

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    text-decoration: none;
    border: none;
    outline: none;
    scroll-behavior: smooth;
    font-family: 'Poppins', sans-serif;
}

:root {
    --bg-color: #1f242d;
    --second-bg-color: #323946;
    --text-color: #fff;
    --main-color: #0ef;
}

html {
    font-size: 62.5%;
    overflow-x: hidden;
}

body {
    background: var(--bg-color);
    color: var(--text-color);
}

section {
    min-height: 100vh;
    padding: 10rem 9% 2rem;
}

.wrapper {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.7); /* Warna latar belakang dengan opacity */
    display: flex;
    justify-content: center;
    align-items: center;
    backdrop-filter: blur(5px); /* Efek blur latar belakang */
    z-index: 999; /* Z-index untuk memastikan elemen ini berada di atas semua elemen lain */
}

.form-box {
    background: transparent; /* Warna latar belakang form box */
    padding: 20px 9%;
    text-align: center;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.3); /* Efek bayangan */
    border: 2px solid rgba(255, 255, 255, .5);
    border-radius: 20px;
}

.header {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    padding: 2rem 9%;
    background: var(--bg-color);
    display: flex;
    justify-content: space-between;
    align-items: center;
    z-index: 100;
}

span {
    color: var(--main-color);
}

.wrapper h2 {
    font-size: 2rem;
    color: #fff;
}

.btn {
    display: inline-block;
    margin-left: 2rem;
    padding: 1rem 2.8rem;
    background: var(--main-color);
    border-radius: 4rem;
    box-shadow: 0 0 1rem var(--main-color);
    font-size: 1.6rem;
    color: var(--second-bg-color);
    letter-spacing: .1rem;
    font-weight: 600;
    transition: .5s ease;
    margin-right: 2.5rem;
}

.btn:hover {
    box-shadow: none;
}

.title {
    text-align: center;
    font-size: 4.5rem;
}

.input-box {
    text-align: center;
    font-size: 1.5rem;
}

.input-box .start {
    width: 50px;
}

.input-box h1 {
    margin-left: 280px;
}

.input-box {
    line-height: 5rem;
}

.input-box .date {
    width: 50px;
}

.input-box textarea-hear {
    height: 50vh;
}

.terms {
    text-align: center;
    font-size: 1.5rem;
}

.req h2 {
    margin-bottom: 3rem;
}

.req form {
    max-width: 70rem;
    margin: 1rem auto;
    text-align: center;
    margin-bottom: 3rem;
}

.req form .input-box {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
}

.req form .input-box input,
.req form textarea {
    width: 100%;
    padding: 1.5rem;
    font-size: 1.6rem;
    color: var(--text-color);
    background: var(--second-bg-color);
    border-radius: .8rem;
    margin: .7rem 0;
}

.req form .input-box input {
    width: 49%;
}

.req form textarea {
    resize: none;
}

.req form .btn {
    margin-top: 2rem;
    cursor: pointer;
}

.input-box .date {
    margin-left: 30px;
}

/* BREAKPOINTS */
@media (max-width: 1200px) {
    html {
        font-size: 55%;
    }
}

@media (max-width: 991px) {
    .header {
        padding: 2rem 3%;
    }

    section {
        padding: 10rem 3% 2rem;
    }

    .admin {
        padding-bottom: 7rem;
    }

    .portfolio {
        padding-bottom: 7rem;
    }

    .req {
        min-height: auto;
    }

    .footer {
        padding: 2rem 3%;
    }
}

@media (max-width: 768px) {
    #menu-icon {
        display: block;
    }

    .navbar {
        position: absolute;
        top: 100%;
        left: 0;
        width: 100%;
        padding: 1rem 3%;
        background: var(--bg-color);
        border-top: .1rem solid rgba(0, 0, 0, .2);
        box-shadow: 0 .5rem 1rem rgba(0, 0, 0, .2);
        display: none;
    }

    .navbar.active {
        display: block;
    }

    .navbar a {
        display: block;
        font-size: 2rem;
        margin: 3rem 0;
    }

    .home {
        flex-direction: column;
    }

    .home-content h3 {
        font-size: 2.6rem;
    }

    .home-content h1 {
        font-size: 5rem;
    }

    .home-img img {
        width: 70vw;
        margin-top: 4rem;
    }

    .about {
        flex-direction: column-reverse;
    }

    .about img {
        width: 70vw;
        margin-top: 4rem;
    }

    .admin {
        margin-right: 3rem;
    }

    .admin-container {
        width: min-content;
    }

    .admin h2 {
        margin-bottom: 3rem;
    }

    .portfolio h2 {
        margin-bottom: 3rem;
    }

    .portfolio-container {
        grid-template-columns: repeat(2, 1fr);
    }
}

@media (max-width: 617px) {
    .portfolio-container {
        grid-template-columns: 1fr;
    }
}

@media (max-width: 450px) {
    html {
        font-size: 50%;
    }

    .req form .input-box input {
        width: 100%;
    }
}

@media (max-width: 375px) {
    .input-box h1 {
        justify-content: center;
        align-items: center;
        margin-left: 120px;
    }
}

@media (max-width: 425px) {
    .input-box h1 {
        text-align: center;
        margin-left: 30px;
    }
}